pandoc

Portability | portable
Stability | alpha
Maintainer | John MacFarlane <jgm@berkeley.edu>

Text.Pandoc.Readers.HTML

Description

Conversion of HTML to `Pandoc` document.

Synopsis

- readHtml :: ParserState -> String -> Pandoc
- htmlTag :: (Tag String -> Bool) -> GenParser Char ParserState (Tag String, String)
- htmlInBalanced :: (Tag String -> Bool) -> GenParser Char ParserState String
- isInlineTag :: Tag String -> Bool
- isBlockTag :: Tag String -> Bool
- isTextTag :: Tag String -> Bool
- isCommentTag :: Tag String -> Bool

# Documentation

readHtml

Arguments

:: ParserState | Parser state
-> String | String to parse (assumes `'\n'` line endings)
-> Pandoc |

Convert HTML-formatted string to `Pandoc` document.

htmlTag :: (Tag String -> Bool) -> GenParser Char ParserState (Tag String, String)

Matches a tag meeting a certain condition.

htmlInBalanced :: (Tag String -> Bool) -> GenParser Char ParserState String

Matches a stretch of HTML in balanced tags.

isInlineTag :: Tag String -> Bool

isBlockTag :: Tag String -> Bool

isTextTag :: Tag String -> Bool

isCommentTag :: Tag String -> Bool